sequence.dualstacksequence

## Class DualStackSequenceFactory

- java.lang.Object
- - sequence.dualstacksequence.DualStackSequenceFactory

- All Implemented Interfaces:
    SequenceFactory, SortableSequenceFactory

      public class DualStackSequenceFactory
      extends java.lang.Object
      implements SequenceFactory, SortableSequenceFactory

  Továrna na posloupnosti implementované dvojicí zásobníků.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DualStackSequenceFactory(StackFactory aStackFactory)` Vyrobí továrnu na posloupnosti implementované dvojicí zásobníků.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sequence` | `createSequence(int size)` Vyrobí posloupnost implementovanou dvojicí zásobníků.
    `SortableSequence` | `createSortableSequence(int size)` Vyrobí seřaditelnou posloupnost implementovanou dvojicí zásobníků.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DualStackSequenceFactory

          public DualStackSequenceFactory(StackFactory aStackFactory)

      Vyrobí továrnu na posloupnosti implementované dvojicí zásobníků.
      Parameters:
        `aStackFactory` - továrna na zásobníky

  - ### Method Detail

    - #### createSequence

          public Sequence createSequence(int size)

      Vyrobí posloupnost implementovanou dvojicí zásobníků.
      Specified by:
        `createSequence` in interface `SequenceFactory`
      Parameters:
        `size` - požadovaná kapacita posloupnosti
      Returns:
        nová posloupnost implementovaná dvojicí zásobníků

    - #### createSortableSequence

          public SortableSequence createSortableSequence(int size)

      Vyrobí seřaditelnou posloupnost implementovanou dvojicí zásobníků.
      Specified by:
        `createSortableSequence` in interface `SortableSequenceFactory`
      Parameters:
        `size` - požadovaná kapacita posloupnosti
      Returns:
        nová seřaditelná posloupnost implementovaná dvojicí zásobníků